package cd.casic.module.terminal.host.extra.strategy;


import cd.casic.module.terminal.common.AbstractGenericsDataStrategy;
import cd.casic.module.terminal.host.extra.model.HostSpecExtraModel;
import org.springframework.stereotype.Component;

/**
 * 主机规格额外信息策略
 *
 * @author Jiahang Li
 * @version 1.0.0
 * @since 2025/3/24 0:21
 */
@Component
public class HostSpecExtraStrategy extends AbstractGenericsDataStrategy<HostSpecExtraModel> {

    public HostSpecExtraStrategy() {
        super(HostSpecExtraModel.class);
    }

    @Override
    public HostSpecExtraModel getDefault() {
        return new HostSpecExtraModel();
    }

}
